/**
 * The function gets and apply the desired style.
 *
 * @param {string} styleType    Desired affect (style)
 * @param {string} commandParam Secondary style parameter
 */
function changeText(styleType, commandParam) {
	if (typeof (commandParam) == "undefined") {
		commandParam = "";
	}

	if (styleType === 'createlink') {
		commandParam = prompt( "אנא הכנס קישור (השאר ריק על מנת להסיר את הקישור).", "http://" );

		if (commandParam === "" || commandParam === "http://") {
			styleType = "unlink";
		}
	}

	if (styleType === 'formatblock' && isIE()) {
		document.execCommand( styleType, false, '<' + commandParam + '>' );
	} else {
		document.execCommand( styleType, false, commandParam );
	}
}

/**
 * The functions checks if the user uses Internet Explorer.
 *
 * @return  Boolean  is the browser IE?
 */
function isIE() {
	var browserType = window.navigator.userAgent;

	if (browserType.indexOf( "MSIE " ) > 0 || ! ! navigator.userAgent.match( /Trident.*rv\:11\./ )) {
		return true;
	}

	return false;
}
